Bug 1368757 - ibus: forward_key_event() seems to do nothing in Qt applications
Summary: ibus: forward_key_event() seems to do nothing in Qt applications
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-21 06:07 UTC by Mike FABIAN
Modified: 2018-08-14 11:09 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-58220 None None None 2017-01-17 05:48 UTC

Description Mike FABIAN 2016-08-21 06:07:15 UTC
If I try to type with ibus-typing-booster in Qt applications and commit a word by typing space, no space is inserted after the word. For example: 

QT_IM_MODULE=ibus kate &

Select the English engine of ibus-typing-booster and type some word like "test",
type space to commit. The word "test" is committed into kate, but no space
appears after the word, the cursor is directly behind the word "test". 

This is because this line

            self.forward_key_event(key.val, key.code, key.state)

in hunspell_table.py from ibus-typing-booster does nothing anymore. 

This line in context in the source code is here:

https://github.com/mike-fabian/ibus-typing-booster/blob/master/engine/hunspell_table.py#L1662

(By the way, when trying “XMODIFIERS=@im=ibus QT_IM_MODULE=xim kate”, input does not work at all, so this cannot be used as a workaround).

Comment 1 Mike FABIAN 2016-08-21 06:16:08 UTC
(In reply to Mike FABIAN from comment #0)

> (By the way, when trying “XMODIFIERS=@im=ibus QT_IM_MODULE=xim kate”, input
> does not work at all, so this cannot be used as a workaround).

Apparently Qt5 does not support XIM anymore:

http://lists.qt-project.org/pipermail/development/2013-January/009491.html

Comment 2 Mike FABIAN 2016-08-21 06:53:23 UTC
forwardKeyEvent seems to be not implemented in Qt5:

http://code.qt.io/cgit/qt/qtbase.git/tree/src/plugins/platforminputcontexts/ibus/qibusplatforminputcontext.h

Comment 3 Mike FABIAN 2016-08-21 06:56:27 UTC
A similar bug about another function which is not implemented in Qt5 was
reported here:

https://bugreports.qt.io/browse/QTBUG-48412

“Qt5 IBus input context does not implement hide_preedit_text()”

Comment 4 fujiwara 2016-08-23 09:17:32 UTC
Thanks for filing the bug but it's late. Now the git head is 5.8.
Maybe the target is f26.

Comment 5 fujiwara 2017-01-16 11:22:56 UTC
I investigated qt5-qtbase and I found 'ForwardKeyEvent' signal is defined correctly but the QT5 module cannot receive that signal in QIBusInputContextProxy::qt_static_metacall().

http://code.qt.io/cgit/qt/qtbase.git/tree/src/plugins/platforminputcontexts/ibus/qibusinputcontextproxy.h#n136

I have no idea and will file a bug in upstream.

Also QT5 module does not have an API likes gdk_keyval_to_unicode().
XLookupString() will be used?

Comment 6 Fedora End Of Life 2017-07-25 22:32:31 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Jan Kurik 2017-08-15 07:32:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 8 Mike FABIAN 2017-12-06 13:55:55 UTC
Peng Wu fixed this recently.

Comment 9 Jan Kurik 2018-08-14 11:09:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.